﻿'reference
Imports MySql.Data.MySqlClient
Public Class Form1

    'setting up the string connection of MySQL Database
    Dim con As MySqlConnection = _
    New MySqlConnection("server=localhost;user id=root;database=payroll")
    'a set of command in MySQL
    Dim cmd As New MySqlCommand
    'Bridge between a database and the datatable for retrieving and saving data.
    Dim da As New MySqlDataAdapter
    'a specific table in the database
    Dim dt As New DataTable
    Private Sub display_Click _
    (ByVal sender As System.Object, ByVal e As System.EventArgs) _
    Handles Button1.Click
        'for displaying records in the datagridview from the database
        Try
            'openning connection
            con.Open()

            'set a new spicific table in the database 
            dt = New DataTable
            'set your commands for holding the data.
            With cmd
                .Connection = con
                .CommandText = "Select * from employees"
            End With
            'filling the table in the database
            da = New MySqlDataAdapter("Select * from employees", con)
            da.Fill(dt)
            'getting the datasource that will display on the datagridview
            DataGridView1.DataSource = dt
            'declaring variable as integer to store the value of the total rows in the datagridview
            Dim max As Integer = DataGridView1.Rows.Count - 1
            'putting the string value in the last row of the datagridview
            DataGridView1.Rows(max).Cells(2).Value = "Total"
            'putting the value which is 0 in the last row of the datagridview
            'this is the first value that appear to the last row in the column 3 
            'this is for avoiding error when you begin calculating 
            DataGridView1.Rows(max).Cells(3).Value = 0
        Catch ex As Exception
            MsgBox(ex.Message)
        End Try
        'closing connection
        con.Close()
    End Sub

    Private Sub Calculate_Click _
    (ByVal sender As System.Object, ByVal e As System.EventArgs) _
    Handles Button2.Click
        Try
            'declaring variable as integer to store the value of the total rows in the datagridview
            Dim max As Integer = DataGridView1.Rows.Count - 1
            'getting the values of a specific rows
            For Each row As DataGridViewRow In DataGridView1.Rows
                'formula for adding the values in the rows
                DataGridView1.Rows(max).Cells(3).Value += row.Cells(3).Value
            Next
        Catch ex As Exception
            MsgBox(ex.Message)
        End Try
    End Sub
End Class
